Agentic

Search products

POSThttps://api.firstleeward.com/v0/agentic/products/search

Searches merchant catalogs for products matching a free-text query, with optional merchant preference and result filters. Use POST /agentic/products/details on a result to resolve its purchasable variants.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Body

application/json

querystringrequired
merchantPreferenceobject
Show child attributes
modestringrequired
Available options:PREFERONLY
merchantNamestringrequired
contextobject
Show child attributes
countrystring
currencystring
filtersobject
Show child attributes
priceobject
Show child attributes
minstring
maxstring
availabilitystring
Available options:AVAILABLE_ONLY
paginationobject
Show child attributes
cursorstring | null
limitinteger

Response

200Response for status 200
idstringrequired
productsobject[]required
Show child attributes
idstringrequired
merchantobjectrequired
Show child attributes
namestringrequired
namestringrequired
imageUrlstring<uri>
priceRangeobjectrequired
Show child attributes
minobjectrequired
Show child attributes
amountnumberrequired
currencystringrequired
maxobjectrequired
Show child attributes
amountnumberrequired
currencystringrequired
availableboolean
previewVariantobject
Show child attributes
idstringrequired
namestring
priceobjectrequired
Show child attributes
amountnumberrequired
currencystringrequired
availableboolean
paginationobjectrequired
Show child attributes
nextCursorstring | nullrequired
hasNextPagebooleanrequired
returnedCountintegerrequired
warningsstring[]required
400Response for status 400
Option 1 · AgenticRequestRejectedError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailnullrequired
Option 2 · MerchantNotResolvedError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailnullrequired
404Resource not found
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
503Agentic Payments is temporarily unavailable
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired